summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJonathan Bauer2019-07-24 17:19:30 +0200
committerJonathan Bauer2019-07-24 17:19:30 +0200
commit6a5dc33d2ec5d9d0a3f1ca7f53c76052685848e3 (patch)
treebaf5b186ad50af9884230a5f90f95575011eb5ee
parent[slx-network] make sure we can copy network conf (diff)
downloadsystemd-init-6a5dc33d2ec5d9d0a3f1ca7f53c76052685848e3.tar.gz
systemd-init-6a5dc33d2ec5d9d0a3f1ca7f53c76052685848e3.tar.xz
systemd-init-6a5dc33d2ec5d9d0a3f1ca7f53c76052685848e3.zip
[slx-clock] check for ntpdate in depends()
-rwxr-xr-xbuilder/modules.d/slx-clock/module-setup.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/builder/modules.d/slx-clock/module-setup.sh b/builder/modules.d/slx-clock/module-setup.sh
index 1a9956e3..0c21b032 100755
--- a/builder/modules.d/slx-clock/module-setup.sh
+++ b/builder/modules.d/slx-clock/module-setup.sh
@@ -1,5 +1,9 @@
#!/usr/bin/env bash
check() {
+ if ! hash ntpdate; then
+ derror "Missing 'ntpdate'. Please install it."
+ return 1
+ fi
# Tell dracut that this module should only be included if it is required
# explicitly.
return 255